LORDER(1)

NAME
lorder - find ordering relation for an object library

SYNOPSIS
lorder file ...

DESCRIPTION
The input is one or more object or library archive (see ar(1)) files. The standard output is a list of pairs of object file names, meaning that the first file of the pair refers to external identifiers defined in the second. The output may be processed by tsort(1) to find an ordering of a library suitable for one-pass access by ld(1).

This brash one-liner intends to build a new library from existing `.o' files.

    ar cr library `lorder *.o | tsort`

The need for lorder may be vitiated by use of ranlib(1), which converts an ordered archive into a randomly accessed library.

FILES
*symref, *symdef
nm(1), sed(1), sort(1), join(1)

SEE ALSO
tsort(1), ld(1), ar(1), ranlib(1)

BUGS
The names of object files, in and out of libraries, must end with `.o'; nonsense results otherwise.